"use strict";
import { util } from '../../../util/util.js'
import { fullMap } from '../../../fullMap.js';
import { khcAlert } from '../../../component/alert/khcAlert.js'
import { table } from '../../../component/page/query/table/table.js';
let functionMap=new Map();// 使用 Map 来存储多个函数。每个函数都通过 set 方法添加到 Map 中，键是函数名，值是对应的函数。
export function main(jsonConfig) {
    try {
        functionMap.get(jsonConfig.button_method).apply(jsonConfig);
    } catch (error) {
        khcAlert.showSystemError(error.message);
        console.log(error);
    }
}
function todoTableRenderAfter(){
    let jsonConfig=this;
    let tableComponent = fullMap.getObj(jsonConfig.objID);
    if(tableComponent.contents.length==0){
        return ;
    }
    let dataMap=tableComponent.dataMap;
    let trArray=document.getElementById(objID).querySelector('table').querySelector('tbody').querySelectorAll('tr');
    for(let i=0;i<trArray.length;i++){
        let tr=trArray[i]
        let pkCode=tr.getAttribute('pkcode');
        console.log(dataMap.get(pkCode));
        let title=tr.querySelector('td[eleName="todo_title"]').innerHTML;
        tr.querySelector('td[eleName="todo_title"]').innerHTML='<a href='+dataMap.get(pkCode).todo_url+'>'+title+'</a>';
    }
}
functionMap.set('todoTableRenderAfter', todoTableRenderAfter);// 将函数添加到 Map 中